import { EventEmitter, OnInit, ChangeDetectorRef } from '@angular/core';
import { SnackBarService } from '../../../ui-kit/snack-bar/snack-bar.service';
import * as i0 from "@angular/core";
export declare class CheckpointsComponent implements OnInit {
    private snackbar;
    private cdr;
    closeCheckPoint: EventEmitter<any>;
    saveCheckPoint: EventEmitter<any>;
    animation: boolean;
    checkpointData: any;
    checkpointInstruction: string;
    errorIndex: number;
    questionTypeList: {
        text: string;
        type: string;
        description: string;
        icon: string;
    }[];
    constructor(snackbar: SnackBarService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    addQuestion(evt: any, index?: number): void;
    createTextBox(index?: number): void;
    createSelect(index?: number): void;
    createRadio(index?: number): void;
    createCheckBox(index?: number): void;
    createDate(index?: number): void;
    createUpload(index?: number): void;
    createOption(i: number, j: number, type: any): void;
    deleteOption(i: number, j: number, type: any): void;
    removeQuestion(index: number): void;
    copyQuestion(index: number): void;
    save(): void;
    close(): void;
    validateCheckpoint(): false | undefined;
    checkpointDescription(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckpointsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckpointsComponent, "app-checkpoints", never, { "checkpointData": { "alias": "checkpointData"; "required": false; }; "checkpointInstruction": { "alias": "checkpointInstruction"; "required": false; }; }, { "closeCheckPoint": "closeCheckPoint"; "saveCheckPoint": "saveCheckPoint"; }, never, never, false, never>;
}
